### A free/open-source library for quantitative finance

Public Member Functions
CmsRateBond Class Reference
Financial instruments

CMS-rate bond. More...

`#include <ql/instruments/bonds/cmsratebond.hpp>`

Inheritance diagram for CmsRateBond:
[legend]

List of all members.

## Public Member Functions

CmsRateBond (Natural settlementDays, Real faceAmount, const Schedule &schedule, const boost::shared_ptr< SwapIndex > &index, const DayCounter &paymentDayCounter, BusinessDayConvention paymentConvention=Following, Natural fixingDays=Null< Natural >(), const std::vector< Real > &gearings=std::vector< Real >(1, 1.0), const std::vector< Spread > &spreads=std::vector< Spread >(1, 0.0), const std::vector< Rate > &caps=std::vector< Rate >(), const std::vector< Rate > &floors=std::vector< Rate >(), bool inArrears=false, Real redemption=100.0, const Date &issueDate=Date())

## Detailed Description

CMS-rate bond.

Tests:
  calculations are tested by checking results against cached values.